@import 'abstracts/_mixins'
@import 'abstracts/_variables'
@import 'abstracts/_animations'

.modal
  +flex(center, center)
  display: block
  position: fixed
  z-index: 10
  left: 0
  top: 0
  width: 100%
  height: 100%
  overflow: auto
  overflow-y: hidden
  opacity: 0
  visibility: hidden
  transition: all 0.2s ease-in
  +flex(center, center)
  &.active
    visibility: visible
    opacity: 1
    background-color: var(--gray-rgba-1)
    transition: all 0.2s ease-in  
  &.mobile
    @extend .mobile-layout
  .modal-content
    margin: auto
    background-color: var(--white)
    border-radius: var(--border-radius-l)
    margin: auto
    animation: slideOutBottom 0.3s forwards
    &.active
      animation: slideInBottom 0.3s forwards
    .top
      position: relative
      .close-btn
        position: absolute
        width: 25px
        height: 25px
        top: 20px
        right: 20px
        border: none
        z-index: 999999
        background: var(--black)
        border-radius: 50%
        outline: none
        cursor: pointer
        .close
          +flex(center, center)
          height: 100%
          color: var(--white)
          font-size: var(--fs-xl)
    .divider
      width: 100%
      height: 1px
      background: rgba(184, 180, 180, 0.25)
    .body
      +flex(center, center, column)
      padding: var(--padding-l) var(--padding-m)
      font-size: var(--fs-s)
      color: var(--gray-4)

.mobile-layout
  background: var(--white)
  .modal-content
    width: 100%
    height: 100%
    margin: auto
    position: absolute
    bottom: 0
    animation: slideOutBottom 0.3s forwards
    &.active
      animation: slideInBottom 0.3s forwards
    .top
      position: absolute
      width: 100%
      height: 10px
      .close-btn
        top: 8px
        left: 10px
        width: 30px
        height: 30px
        transform: rotate(180deg)
    .body
      width: 100%
      padding: 0
